SYSLOGD(8)

NAME
syslogd - log systems messages

SYNOPSIS
syslogd [-V] [-a socket] [-d] [-f config_file] [-h] [-l host_list] [-m mark_interval] [-n] [-p log_socket] [-r] [-s domain_list] [--no-klog] [--no-unixaf] [--no-forward]

DESCRIPTION
Syslogd reads and logs messages to the system console, log files, other machines and/or users as specified by its configuration file. The options are as follows:

-V  Print version number and exit.

--help
    Display help information and exit.

-d  Enter debug mode. syslogd does not put itself in the background, does not fork and shows debug information.

-a  Specify additional sockets from that syslogd has to listen to. This is needed if you are going to let some daemon run within a chroot()'ed environment. You can specify up to 19 additional sockets.

-f, --rcfile=FILE
    Specify the pathname of an alternate configuration file; the default is system specific and displayed in the help output.

-h, --hop
    Enable forwarding remote messages. By default syslogd will not forward messages it receives from remote hosts.

-l  A colon-seperated lists of hosts which should be considered local; they are logged by their hostnames instead by their FQDN.

-m, --mark=INTERVAL/fP
    Select the number of minutes between ``mark'' messages; the default is 20 minutes. Setting it to 0 disables timestamps.

-n, --no-detach
    Suppress backgrounding and detachment of the daemon from its controlling terminal.

-p, --socket=PATH
    Specify the pathname of an alternate log socket. The default is systemspecific and displayed in the help output.

-r, --inet
    Enable to receive remote messages using an internet domain socket. The default is to not receive any messages from the network. Older version always accepted remote messages.

-s  A colon-seperated list of domainnames which should be stripped from the FQDNs of hosts when logging.

--no-klog
    Do not listen to the kernel log device. This is only supported on systems which define a kernel log device, on all others this is already the default, and the option will be silently ignored.

--no-unixaf
    Do not listen to any unix domain socket. This option overrides -p and -a.

--no-forward
    Do not forward any messages. This overrides -h.

Syslogd reads its configuration file when it starts up and whenever it receives a hangup signal. For information on the format of the configuration file, see syslog.conf(5).

Syslogd reads messages from the UNIX domain socket /dev/log, from an Internet domain socket specified in /etc/services, and from the special device /dev/klog (to read kernel messages).

Syslogd creates the file /var/run/syslog.pid, and stores its process id there. This can be used to kill or reconfigure syslogd.

The message sent to syslogd should consist of a single line. The message can contain a priority code, which should be a preceding decimal number in angle braces, for example, ‘<5.>’ This priority code should map into the priorities defined in the include file <sys/syslog.h>.

FILES
/etc/syslog.conf
    The configuration file.
/var/run/syslog.pid
    The process id of current syslogd.
/dev/log
    Name of the UNIX domain datagram log socket.
/dev/klog
    The kernel log device.

SEE ALSO
logger(1), syslog(3), services(5), syslog.conf(5)

HISTORY
The syslogd command appeared in 4.3BSD.